com.avaya.ccs.api.enums

## Enum UserState

- java.lang.Object
- - java.lang.Enum<UserState>
  - - com.avaya.ccs.api.enums.UserState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<UserState>

      public enum UserState
      extends java.lang.Enum<UserState>

  The `UserState` enum represents the possible values for the state of an `UserI` object.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACW` Indicates that the `UserI` is in an After Call Work state performing wrapup work associated with the previous Contact Center interaction.
    `ACWPending` Indicates that the `UserI` is currently handling a Contact Center interaction and will transition to the After Call Work (ACW) state when the current interaction is completed.
    `Invalid` Indicates generally that the Contact Center `UserI` has either; been deleted from Contact Center administration had their data modified in Contact Center administration been removed from the `SessionI`
    `LoggedOut` Indicates that the `UserI` is not currently logged in to the Contact Center.
    `NotReady` Indicates that the `UserI` is logged in to the Contact Center but is not ready to handle incoming Contact Center interactions.
    `NotReadyPending` Indicates that the `UserI` is currently handling a Contact Center interaction and will transition to the Not Ready state when the current interaction is completed.
    `Ready` Indicates that the `UserI` is logged in to the Contact Center and ready to handle Contact Center interactions.
    `ReadyAfterCall` Indicates that the `UserI` has recently completed handling a Contact Center interaction and is ready to accept another Contact Center interaction.
    `Unknown`
    `UsedByOtherClient` Indicates that the `UserI` was logged it to other client application.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isLoggedIn()`
    `static UserState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static UserState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Invalid

          public static final UserState Invalid

      Indicates generally that the Contact Center `UserI` has either;
      - been deleted from Contact Center administration
      - had their data modified in Contact Center administration
      - been removed from the `SessionI`

      The client application should cease using the related `UserI` object when in this state. Note that this state will be set in any `NotificationType.DELETE` notifications for `UserI` objects.

    - #### LoggedOut

          public static final UserState LoggedOut

      Indicates that the `UserI` is not currently logged in to the Contact Center.

    - #### Ready

          public static final UserState Ready

      Indicates that the `UserI` is logged in to the Contact Center and ready to handle Contact Center interactions.

    - #### ReadyAfterCall

          public static final UserState ReadyAfterCall

      Indicates that the `UserI` has recently completed handling a Contact Center interaction and is ready to accept another Contact Center interaction.

    - #### ACWPending

          public static final UserState ACWPending

      Indicates that the `UserI` is currently handling a Contact Center interaction and will transition to the After Call Work (ACW) state when the current interaction is completed.

    - #### ACW

          public static final UserState ACW

      Indicates that the `UserI` is in an After Call Work state performing wrapup work associated with the previous Contact Center interaction. When finished with After Call Work the `UserI` should enter the Ready state to become eligible to receive another Contact Center interaction.

    - #### NotReadyPending

          public static final UserState NotReadyPending

      Indicates that the `UserI` is currently handling a Contact Center interaction and will transition to the Not Ready state when the current interaction is completed.

    - #### NotReady

          public static final UserState NotReady

      Indicates that the `UserI` is logged in to the Contact Center but is not ready to handle incoming Contact Center interactions.

    - #### UsedByOtherClient

          public static final UserState UsedByOtherClient

      Indicates that the `UserI` was logged it to other client application. After receiwing this state, CCS will clear all subscriptions on events from CCT. As result, CCS session stop receiwing any notifications from CCT.

    - #### Unknown

          public static final UserState Unknown

  - ### Method Detail

    - #### values

          public static UserState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UserState c : UserState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UserState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isLoggedIn

          public boolean isLoggedIn()

      Returns:
        `true` if this `UserState` represents one of the logged in states, `false` if it does not